Skip to main content
POST
/
api2
/
v1
/
projects
/
{projectUid}
/
jobs
/
{jobUid}
/
translations
/
translateWithMachineTranslation
Translate using machine translation
curl --request POST \
  --url https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/jobs/{jobUid}/translations/translateWithMachineTranslation \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "sourceTexts": [
    "<string>"
  ]
}
'
import requests

url = "https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/jobs/{jobUid}/translations/translateWithMachineTranslation"

payload = { "sourceTexts": ["<string>"] }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({sourceTexts: ['<string>']})
};

fetch('https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/jobs/{jobUid}/translations/translateWithMachineTranslation', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "translations": [
    "<string>"
  ]
}

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Path Parameters

projectUid
string
required

Project UID

jobUid
string
required

Job UID

Body

application/json

Source texts to translate

Base request body carrying the source texts to translate.

sourceTexts
string[]
required

Source strings to translate, returned in the same order as the translations. Must contain at least one item.

Required array length: 1 - 2147483647 elements

Response

OK

Response from an MT translation request, containing the translated strings.

translations
string[]

Translated strings in the same order as the input sourceTexts.